Bug 1270364 - Review Request: nacl-arm-binutils - A GNU collection of binary utilities
Summary: Review Request: nacl-arm-binutils - A GNU collection of binary utilities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1270322 1270368 1270375 1270405
TreeView+ depends on / blocked
 
Reported: 2015-10-09 19:01 UTC by Tom "spot" Callaway
Modified: 2015-12-21 18:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-19 18:27:50 UTC
puntogil: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2015-10-09 19:01:44 UTC
Spec URL: https://spot.fedorapeople.org/nacl-arm-binutils.spec
SRPM URL: https://spot.fedorapeople.org/nacl-arm-binutils-2.25-1.git68b975a.fc23.src.rpm
Description: 
Binutils is a collection of binary utilities, including ar (for
creating, modifying and extracting from archives), as (a family of GNU
assemblers), gprof (for displaying call graph profile data), ld (the
GNU linker), nm (for listing symbols from object files), objcopy (for
copying and translating object files), objdump (for displaying
information from object files), ranlib (for generating an index for
the contents of an archive), readelf (for displaying detailed
information about binary files), size (for listing the section sizes
of an object or archive file), strings (for listing printable strings
from files), strip (for discarding symbols), and addr2line (for
converting addresses to file and line).
Fedora Account System Username: spot

Chromium needs a nacl cross toolchain built for "nacl-arm". This is the binutils part.

Comment 2 gil cattaneo 2015-11-12 14:53:04 UTC
If that's okay I'll try to do a review of the package manually.
Since my system is 32-bit.
Regards

Comment 3 Upstream Release Monitoring 2015-11-12 15:06:20 UTC
gil's scratch build of nacl-arm-binutils-2.25.2-1.gitcde986c.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11805322

Comment 4 gil cattaneo 2015-11-12 15:31:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: nacl-arm-binutils. Illegal package name:
  nacl-arm-binutils. Does not provide -static: nacl-arm-binutils.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find copying.c in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[?]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[?]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[!]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[!]: License file installed when any subpackage combination is installed.
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/arm-nacl, /usr/lib64
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/arm-nacl, /usr/lib64
    /usr/arm-nacl
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package does not contain duplicates in %files.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nacl-
     arm-binutils-debuginfo
[z]: Package functions as described.
[?]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define binutils_target
     %{_target_platform}, %define isnative 1, %define enable_shared 1,
     %define cross %{binutils_target}-, %define isnative 0, %define
     enable_shared 0, %define __debug_install_post : >
     %{_builddir}/%{?buildsubdir}/debugfiles.list, %define debug_package
     %{nil}, %define run_testsuite 0%{?_with_testsuite:1}, %define
     run_testsuite 0%{!?_without_testsuite:1}, %define run_testsuite 0,
     %define _gnu %{nil}, %define enable_shared 0
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[?]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 8980480 bytes in /usr/share
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
ERROR: Cannot build target x86_64 on arch i686, because it is not listed in legal_host_arches ('x86_64',)


Rpmlint
-------
Checking: nacl-arm-binutils-2.25.2-1.gitcde986c.fc24.x86_64.rpm
          nacl-arm-binutils-debuginfo-2.25.2-1.gitcde986c.fc24.x86_64.rpm
          nacl-arm-binutils-2.25.2-1.gitcde986c.fc24.src.rpm
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/objcopy /usr/bin/arm-nacl-objcopy
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/bin/arm-nacl-strip /usr/arm-nacl/bin/strip
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/bin/arm-nacl-ar /usr/arm-nacl/bin/ar
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/bin/arm-nacl-ranlib /usr/arm-nacl/bin/ranlib
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/ld.bfd /usr/bin/arm-nacl-ld.bfd
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/ld.bfd /usr/bin/arm-nacl-ld
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/as /usr/bin/arm-nacl-as
nacl-arm-binutils.x86_64: W: manual-page-warning /usr/share/man/man1/arm-nacl-run.1.gz 19: warning: macro `"' not defined
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/ld /usr/bin/arm-nacl-ld.bfd
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/ld /usr/bin/arm-nacl-ld
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/objdump /usr/bin/arm-nacl-objdump
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/nm /usr/bin/arm-nacl-nm
nacl-arm-binutils.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libarm-nacl-sim.a
nacl-arm-binutils.x86_64: W: no-manual-page-for-binary arm-nacl-ld.bfd
nacl-arm-binutils.x86_64: W: non-standard-dir-in-usr arm-nacl
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-nacl.h
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-vxworks.c
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-nacl.c
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-vxworks.h
nacl-arm-binutils.src: W: spelling-error %description -l en_US ar -> AR, Ar, at
nacl-arm-binutils.src: W: spelling-error %description -l en_US gprof -> prof, g prof, Prof
nacl-arm-binutils.src: W: spelling-error %description -l en_US ld -> ls, l, d
nacl-arm-binutils.src: W: spelling-error %description -l en_US nm -> NM, mm, n
nacl-arm-binutils.src: W: spelling-error %description -l en_US objcopy -> obj copy, obj-copy, copybook
nacl-arm-binutils.src: W: spelling-error %description -l en_US objdump -> obj dump, obj-dump, dumpy
nacl-arm-binutils.src: W: spelling-error %description -l en_US ranlib -> ran lib, ran-lib, librarian
nacl-arm-binutils.src: W: spelling-error %description -l en_US readelf -> read elf, read-elf, reader
nacl-arm-binutils.src: W: invalid-url Source0: nacl-binutils-2.25.2-gitcde986c.tar.bz2
3 packages and 0 specfiles checked; 4 errors, 24 warnings.




Requires
--------
nacl-arm-binutils (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/install-info
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libncurses.so.6()(64bit)
    libnsl.so.1()(64bit)
    libtinfo.so.6()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

nacl-arm-binutils-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
nacl-arm-binutils:
    nacl-arm-binutils
    nacl-arm-binutils(x86-64)

nacl-arm-binutils-debuginfo:
    nacl-arm-binutils-debuginfo
    nacl-arm-binutils-debuginfo(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -vpn nacl-arm-binutils -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 gil cattaneo 2015-11-12 15:38:17 UTC
issues:

- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: nacl-arm-binutils. Illegal package name:
  nacl-arm-binutils. Does not provide -static: nacl-arm-binutils.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find copying.c in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

[?]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[!]: License file installed when any subpackage combination is installed.

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-nacl.h
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-vxworks.c
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-nacl.c
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-vxworks.h

Please, report the problem to upstream
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/arm-nacl, /usr/lib64
    /usr/arm-nacl


[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required


[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define binutils_target
     %{_target_platform}, %define isnative 1, %define enable_shared 1,
     %define cross %{binutils_target}-, %define isnative 0, %define
     enable_shared 0, %define __debug_install_post : >
     %{_builddir}/%{?buildsubdir}/debugfiles.list, %define debug_package
     %{nil}, %define run_testsuite 0%{?_with_testsuite:1}, %define
     run_testsuite 0%{!?_without_testsuite:1}, %define run_testsuite 0,
     %define _gnu %{nil}, %define enable_shared 0

Comment 6 Tom "spot" Callaway 2015-12-07 15:57:44 UTC
* Mon Dec  7 2015 Tom Callaway <spot@fedoraproject.org> - 2.25.2-2.gitcde986c
- add Provides: nacl-arm-binutils-static
- remove obsolete clean section
- fix license tag
- add license files to package
- convert defines to global
- own /usr/arm-nacl directory

New SRPM: https://spot.fedorapeople.org/nacl-arm-binutils-2.25.2-2.gitcde986c.fc23.src.rpm
New SPEC: https://spot.fedorapeople.org/nacl-arm-binutils.spec

Comment 7 Upstream Release Monitoring 2015-12-07 18:42:41 UTC
gil's scratch build of nacl-arm-binutils-2.25.2-2.gitcde986c.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12101482

Comment 8 gil cattaneo 2015-12-07 19:14:54 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
 Manual review
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: nacl-arm-binutils. Illegal package name:
  nacl-arm-binutils.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find copying.c in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
 IGNORE installed: %license COPYING3 COPYING3.LIB COPYING.NEWLIB

===== MUST items =====

C/C++:
[?]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[-]: Package does not contain kernel modules.
[?]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[-]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[-]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package does not contain duplicates in %files.
[x]: The spec file handles locales properly.
[-]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nacl-
     arm-binutils-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
install -m 644 bfd/libbfd.a %{buildroot}%{_libdir}
install -m 644 libiberty/libiberty.a %{buildroot}%{_libdir}
install -m 644 include/libiberty.h %{buildroot}%{_prefix}/include
install -m 644 opcodes/libopcodes.a %{buildroot}%{_libdir}
Please, use install -pm ...
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define _gnu %{nil}, %define
     enable_shared 0
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 9072640 bytes in /usr/share
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
ERROR: Cannot build target x86_64 on arch i686, because it is not listed in legal_host_arches ('x86_64',)


Rpmlint
-------
Checking: nacl-arm-binutils-2.25.2-2.gitcde986c.fc24.x86_64.rpm
          nacl-arm-binutils-debuginfo-2.25.2-2.gitcde986c.fc24.x86_64.rpm
          nacl-arm-binutils-2.25.2-2.gitcde986c.fc24.src.rpm
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/bin/arm-nacl-ar /usr/arm-nacl/bin/ar
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/bin/arm-nacl-objdump /usr/arm-nacl/bin/objdump
nacl-arm-binutils.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libarm-nacl-sim.a
nacl-arm-binutils.x86_64: W: manual-page-warning /usr/share/man/man1/arm-nacl-run.1.gz 19: warning: macro `"' not defined
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/objcopy /usr/bin/arm-nacl-objcopy
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/ld /usr/bin/arm-nacl-ld
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/ld /usr/bin/arm-nacl-ld.bfd
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/bin/arm-nacl-ranlib /usr/arm-nacl/bin/ranlib
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/as /usr/bin/arm-nacl-as
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/strip /usr/bin/arm-nacl-strip
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/bin/arm-nacl-nm /usr/arm-nacl/bin/nm
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/ld.bfd /usr/bin/arm-nacl-ld
nacl-arm-binutils.x86_64: W: cross-directory-hard-link /usr/arm-nacl/bin/ld.bfd /usr/bin/arm-nacl-ld.bfd
nacl-arm-binutils.x86_64: W: no-manual-page-for-binary arm-nacl-ld.bfd
nacl-arm-binutils.x86_64: W: non-standard-dir-in-usr arm-nacl
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-vxworks.h
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-vxworks.c
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-nacl.h
nacl-arm-binutils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/nacl-binutils-2.25.2-gitcde986c/bfd/elf-nacl.c
nacl-arm-binutils.src: W: spelling-error %description -l en_US ar -> AR, Ar, at
nacl-arm-binutils.src: W: spelling-error %description -l en_US gprof -> prof, g prof, Prof
nacl-arm-binutils.src: W: spelling-error %description -l en_US ld -> ls, l, d
nacl-arm-binutils.src: W: spelling-error %description -l en_US nm -> NM, mm, n
nacl-arm-binutils.src: W: spelling-error %description -l en_US objcopy -> obj copy, obj-copy, copybook
nacl-arm-binutils.src: W: spelling-error %description -l en_US objdump -> obj dump, obj-dump, dumpy
nacl-arm-binutils.src: W: spelling-error %description -l en_US ranlib -> ran lib, ran-lib, librarian
nacl-arm-binutils.src: W: spelling-error %description -l en_US readelf -> read elf, read-elf, reader
nacl-arm-binutils.src: W: invalid-url Source0: nacl-binutils-2.25.2-gitcde986c.tar.bz2
3 packages and 0 specfiles checked; 4 errors, 24 warnings.




Requires
--------
nacl-arm-binutils (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/install-info
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libncurses.so.6()(64bit)
    libnsl.so.1()(64bit)
    libtinfo.so.6()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

nacl-arm-binutils-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
nacl-arm-binutils:
    nacl-arm-binutils
    nacl-arm-binutils(x86-64)
    nacl-arm-binutils-static

nacl-arm-binutils-debuginfo:
    nacl-arm-binutils-debuginfo
    nacl-arm-binutils-debuginfo(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -vpn nacl-arm-binutils -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 gil cattaneo 2015-12-07 19:18:20 UTC
NON blocking issues:

[!]: Packages should try to preserve timestamps of original installed
     files.
install -m 644 bfd/libbfd.a %{buildroot}%{_libdir}
install -m 644 libiberty/libiberty.a %{buildroot}%{_libdir}
install -m 644 include/libiberty.h %{buildroot}%{_prefix}/include
install -m 644 opcodes/libopcodes.a %{buildroot}%{_libdir}
Please, use install -pm ...

[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define _gnu %{nil}, %define
     enable_shared 0

Please, fix before import. Approved

Comment 10 Gwyn Ciesla 2015-12-07 20:21:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nacl-arm-binutils

Comment 11 Fedora Update System 2015-12-08 18:37:40 UTC
nacl-arm-binutils-2.25.2-2.gitcde986c.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-398c2c7afa

Comment 12 Fedora Update System 2015-12-09 23:23:42 UTC
nacl-arm-binutils-2.25.2-2.gitcde986c.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nacl-arm-binutils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9562c56720

Comment 13 Fedora Update System 2015-12-10 04:56:25 UTC
nacl-arm-binutils-2.25.2-2.gitcde986c.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nacl-arm-binutils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-398c2c7afa

Comment 14 Fedora Update System 2015-12-19 18:27:48 UTC
nacl-arm-binutils-2.25.2-2.gitcde986c.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-12-20 00:23:43 UTC
nacl-arm-binutils-2.25.2-2.gitcde986c.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.